Page MenuHomePhabricator

Error While installing latest Release Candiate 3 via USB
Closed, ResolvedPublicBUG

Description

{F264061}While attempting to install RC3 we got the following error

It repeats this about 50 times
mount: mounting /deb/sdb1 on /live/medium failed: Invalid argument
FAT-fs (db1): utf8 is not a recommended IO charset for Fat filesystems, filesystems will be case sensitive!
FAT-fs (sdb1): codepage cp437 not found

Then boots into a BusyBox shell
(initramfs) Unable to find a medium containing a live file system

We tried multiple USB drives both USB2 and USB3, and using both USB2 and 3 ports, using rufus an unetbootin to make the usb images.

using 1.2.0-rolling+201809130337 we were able to boot and add the latest system image from there.

Hardware is a supermicro SYS-5018D-FN8T

lsusb
Bus 002 Device 002: ID 8087:8000 Intel Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:8008 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 006: ID 0557:2419 ATEN International Co., Ltd
Bus 003 Device 004: ID 0557:7000 ATEN International Co., Ltd Hub
Bus 003 Device 005: ID 05e3:0610 Genesys Logic, Inc. 4-port hub
Bus 003 Device 003: ID 05e3:0610 Genesys Logic, Inc. 4-port hub
Bus 003 Device 002: ID 413c:2107 Dell Computer Corp.
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

lspci
00:00.0 Host bridge: Intel Corporation Broadwell DMI2 (rev 03)
00:01.0 PCI bridge: Intel Corporation Broadwell PCI Express Root Port 1 (rev 03)
00:01.1 PCI bridge: Intel Corporation Broadwell PCI Express Root Port 1 (rev 03)
00:02.0 PCI bridge: Intel Corporation Broadwell PCI Express Root Port 2 (rev 03)
00:02.2 PCI bridge: Intel Corporation Broadwell PCI Express Root Port 2 (rev 03)
00:03.0 PCI bridge: Intel Corporation Broadwell PCI Express Root Port 3 (rev 03)
00:03.2 PCI bridge: Intel Corporation Broadwell PCI Express Root Port 3 (rev 03)
00:05.0 System peripheral: Intel Corporation Broadwell Adress Map/VTd_Misc/System Management (rev 03)
00:05.1 System peripheral: Intel Corporation Broadwell IIO Hot Plug (rev 03)
00:05.2 System peripheral: Intel Corporation Broadwell IIO RAS/Control Status/Global Errors (rev 03)
00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 05)
00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)
00:16.1 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #2 (rev 04)
00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 05)
00:1c.0 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #1 (rev d5)
00:1c.1 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #2 (rev d5)
00:1c.3 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #4 (rev d5)
00:1c.4 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #5 (rev d5)
00:1d.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation C224 Series Chipset Family Server Standard SKU LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] (rev 05)
00:1f.3 SMBus: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 8 Series Chipset Family Thermal Management Controller (rev 05)
03:00.0 System peripheral: Intel Corporation Device 6f50
03:00.1 System peripheral: Intel Corporation Device 6f51
03:00.2 System peripheral: Intel Corporation Device 6f52
03:00.3 System peripheral: Intel Corporation Device 6f53
04:00.0 Ethernet controller: Intel Corporation Device 15ac
04:00.1 Ethernet controller: Intel Corporation Device 15ac
07:00.0 Ethernet controller: Intel Corporation I210 Gigabit Network Connection (rev 03)
08:00.0 Ethernet controller: Intel Corporation I210 Gigabit Network Connection (rev 03)
09:00.0 PCI bridge: ASPEED Technology, Inc. AST1150 PCI-to-PCI Bridge (rev 03)
0a:00.0 VGA compatible controller: ASPEED Technology, Inc. ASPEED Graphics Family (rev 30)
0b:00.0 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
0b:00.1 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
0b:00.2 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
0b:00.3 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
ff:0b.0 System peripheral: Intel Corporation Broadwell R3 QPI Link 0/1 (rev 03)
ff:0b.1 Performance counters: Intel Corporation Broadwell R3 QPI Link 0/1 (rev 03)
ff:0b.2 Performance counters: Intel Corporation Broadwell R3 QPI Link 0/1 (rev 03)
ff:0b.3 System peripheral: Intel Corporation Broadwell R3 QPI Link Debug (rev 03)
ff:0c.0 System peripheral: Intel Corporation Broadwell Caching Agent (rev 03)
ff:0c.1 System peripheral: Intel Corporation Broadwell Caching Agent (rev 03)
ff:0c.2 System peripheral: Intel Corporation Broadwell Caching Agent (rev 03)
ff:0c.3 System peripheral: Intel Corporation Broadwell Caching Agent (rev 03)
ff:0f.0 System peripheral: Intel Corporation Broadwell Caching Agent (rev 03)
ff:0f.4 System peripheral: Intel Corporation Broadwell Caching Agent (rev 03)
ff:0f.5 System peripheral: Intel Corporation Broadwell Caching Agent (rev 03)
ff:0f.6 System peripheral: Intel Corporation Broadwell Caching Agent (rev 03)
ff:10.0 System peripheral: Intel Corporation Broadwell R2PCIe Agent (rev 03)
ff:10.1 Performance counters: Intel Corporation Broadwell R2PCIe Agent (rev 03)
ff:10.5 System peripheral: Intel Corporation Broadwell Ubox (rev 03)
ff:10.6 Performance counters: Intel Corporation Broadwell Ubox (rev 03)
ff:10.7 System peripheral: Intel Corporation Broadwell Ubox (rev 03)
ff:12.0 System peripheral: Intel Corporation Broadwell Home Agent 0 (rev 03)
ff:12.1 Performance counters: Intel Corporation Broadwell Home Agent 0 (rev 03)
ff:13.0 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Target Address/Thermal/RAS (rev 03)
ff:13.1 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Target Address/Thermal/RAS (rev 03)
ff:13.2 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel Target Address Decoder (rev 03)
ff:13.3 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel Target Address Decoder (rev 03)
ff:13.4 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel Target Address Decoder (rev 03)
ff:13.5 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel Target Address Decoder (rev 03)
ff:13.6 System peripheral: Intel Corporation Broadwell DDRIO Channel 0/1 Broadcast (rev 03)
ff:13.7 System peripheral: Intel Corporation Broadwell DDRIO Global Broadcast (rev 03)
ff:14.0 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel 0 Thermal Control (rev 03)
ff:14.1 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel 1 Thermal Control (rev 03)
ff:14.2 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel 0 Error (rev 03)
ff:14.3 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel 1 Error (rev 03)
ff:14.4 System peripheral: Intel Corporation Broadwell DDRIO Channel 0/1 Interface (rev 03)
ff:14.5 System peripheral: Intel Corporation Broadwell DDRIO Channel 0/1 Interface (rev 03)
ff:14.6 System peripheral: Intel Corporation Broadwell DDRIO Channel 0/1 Interface (rev 03)
ff:14.7 System peripheral: Intel Corporation Broadwell DDRIO Channel 0/1 Interface (rev 03)
ff:15.0 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel 2 Thermal Control (rev 03)
ff:15.1 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel 3 Thermal Control (rev 03)
ff:15.2 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel 2 Error (rev 03)
ff:15.3 System peripheral: Intel Corporation Broadwell Memory Controller 0 - Channel 3 Error (rev 03)
ff:1e.0 System peripheral: Intel Corporation Broadwell Power Control Unit (rev 03)
ff:1e.1 System peripheral: Intel Corporation Broadwell Power Control Unit (rev 03)
ff:1e.2 System peripheral: Intel Corporation Broadwell Power Control Unit (rev 03)
ff:1e.3 System peripheral: Intel Corporation Broadwell Power Control Unit (rev 03)
ff:1e.4 System peripheral: Intel Corporation Broadwell Power Control Unit (rev 03)
ff:1f.0 System peripheral: Intel Corporation Broadwell Power Control Unit (rev 03)
ff:1f.2 System peripheral: Intel Corporation Broadwell Power Control Unit (rev 03)

Details

Difficulty level
Unknown (require assessment)
Version
1.2
Why the issue appeared?
Will be filled on close

Event Timeline

commo triaged this task as Normal priority.Oct 18 2018, 3:44 PM
commo created this task.
commo created this object in space S1 VyOS Public.
commo updated the task description. (Show Details)Oct 18 2018, 6:12 PM
syncer changed the subtype of this task from "Task" to "Bug".Oct 20 2018, 7:05 AM
pasik added a subscriber: pasik.Nov 4 2018, 11:21 AM

@commo How did you prepare the usb drive?
On which os, and what tools did you use?

Raeven added a subscriber: Raeven.Nov 5 2018, 2:21 PM

I have had this exact problem running windows 10 and creating the image with Rufus 3.3. The workaround I used was to install 1.1.8 and then installing the latest image within the os using the iso.

syncer added a subscriber: syncer.Nov 5 2018, 2:22 PM

Need to use win32diskimager and should work just fine
https://sourceforge.net/projects/win32diskimager/

commo added a comment.Nov 5 2018, 4:43 PM

@UnicornNL, Used rufus, and unetbootin from windows 10

UnicronNL closed this task as Resolved.Nov 9 2018, 9:12 AM

@commo @Raeven I updated the kernel to support the filesystems. But what @syncer mentioned 'win32diskimager' is a better tool for 1.2 as it is hybrid-iso which works if you directly write the iso to usb.

commo added a comment.Dec 10 2018, 6:33 PM

Tried rc10 with rufus, same problem works in win32diskimager though.